/* ===== 全站基本 ===== */ 
/* v */
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: 'MyFont';
  font-weight: 400;
}
/* v */
@font-face {
  font-family: 'MyFont';
  src: url('fonts/KozGoPr6NRegular.otf');
}
/* v */
html {
  scroll-behavior: smooth;
  scrollbar-width: none;
}
/* ===== 整體結構 ===== */
/* v */
.layout {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}

/* ===== Header ===== */
/* v */
.header {
  background-color: #11ffee00;
  padding: 36px 20px;
  text-align: center;
  font-size: 20px;
}

/* ===== 中間區域（sidebar + main） ===== */
/* v */
.content-area {
  flex: 1;
  display: flex;
  position: fixed;
  top: 0px;
  height: 100%;
}


/* ===== Sidebar ===== 
.sidebar {
  width: 220px;
  background: #4ecdc4;
  padding: 20px;
}*/

/* ===== Main ===== */
.main {
  flex: 1;
  background-color: #11ffee00;
  padding: 24px 180px;
  display: flex;
  justify-content: center;
  width: 100vw;
  height: 100vh;
}

/* 開分作品區 */
.demo-box {
  background: #efefef;
  margin-bottom: 10px;
  padding: 20px;
  border-radius: 6px;
  
  word-break: break-all;
  display: flex;

  width:900px;
  overflow: scroll;
  scroll-behavior: auto;
  scrollbar-width: none;
}

.demo-box ul{
  display: flex;
  width: 100%;
  flex-direction: column;
  text-align: center;
  list-style: none;
}
.title{
  font-size: 40px;
  font-weight: bold;
  line-height: 85%;
  text-align: center;
  color: #e83928;
  letter-spacing: 0.05cap;
}
.title::selection{
  font-size: 40px;
  font-weight: bolder;
  line-height: 85%;
  text-align: left;
  background-color: #343C55;
  color: #efefef;
}
.gp {
  font-size: 15px;
  font-weight: bold;
  color: #e83928;
  text-align: left;
}
.gp::selection{
  font-weight: bolder;
  line-height: 85%;
  background-color: #343C55;
  color: #efefef;
}

.work-container {
  display: inline-block;
  max-width: 30%;
  word-break: keep-all;
  padding: 20px;
}
.work-container:hover img{
  max-width: 150px;
  transition: 0.3s;
}
.work-container:hover ul li{
  
  color:#e83928;
  font-weight: bolder;
}
.work-container:hover .work-cover {
  max-width: 100%;
  padding-left: 0%;
  padding-right: 0%;
  transition: 0.3s;
}

.work-title {
  font-size: 15px;
  line-height: 120%;
  block-size: 40px; 
  display: flex;
  justify-content: center;
  align-items: center;
  color: #343C55;
  font-weight: bolder;
}
.work-title::selection {
  font-weight: bolder;
  line-height: 85%;
  background-color: #e83928;
  color: #efefef;
}
.work-cover {
  max-width: 95%;
  padding-left: 2.5%;
  padding-right: 2.5%;
  justify-content: center;
  display: flex;
}

.work-cover img {
  max-width: 150px;
  border-radius: 6px;
}
.work-artist {
  font-size: 10px;
  display: flex;
  justify-content: center;
  margin-top: 10px;
  color: #343C55;
  font-weight: bolder;
}
.work-artist::selection {
  font-weight: bolder;
  background-color: #e83928;
  color: #efefef;
}

.button-group {
  position: absolute;
  right: 5%;
  bottom: 10%;
}

.arrow-btn {
  width: 200px;
  height: 50px;

  display: inline-flex;
  align-items: center;
  justify-content: center;

  background: #343C55;
  color: white;
  font-size: 14px;

  gap: 10px;
  border: none;
  border-radius: 46px;

  cursor: pointer;
  transition: 0.3s;
}

.arrow-btn:hover {
  background: #22293b;
}

.arrow {
  transform: scaleX(-1);
  transition: transform 0.3s;
}

.arrow-btn:hover .arrow {
  transform: scaleX(-1) translateX(6px);
}

/* 開分載入中 */
.loader {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 10000;
  pointer-events: none
}
.loader video{
  position: absolute;
  min-height: 100%;
  min-width: 100%;
  
}
/* 開分背景 */
.bg {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: -1;
  pointer-events: none
  
}
.bg video{
  position: absolute;
  min-height: 100%;
  min-width: 100%;
}


/* ===== Footer =====
.footer {
  background: #1a1a1a;
  padding: 30px 40px;

  display: flex;
  flex-wrap: wrap;          
  justify-content: center; 
  align-items: center;
  gap: 20px;                
}
.footer img {
  height: 60px;
  width: auto;
  object-fit: contain;
  padding: 5px;
  border-radius: 6px;
} */

/* ===== 左上角 icon ===== */
/* v */
.menu-icon {
  position: fixed;
  top: 30px;
  left: 24px;
  width: 50px;
  height: 50px;
  z-index: 9999;
}

/* v */
.menu-icon img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 10px;
}

/* ===== 右下角 icon =====
.back-icon {
  position: fixed;
  bottom: 30px;
  right: 24px;
  width: 50px;
  height: 50px;
  z-index: 9999;
}

.back-icon img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 10px;
  background-color: #343C55;
} */

/* ===== 側邊選單 ===== */
/* v */
.side-menu {
  position: fixed;
  top: 0;
  left: -260px;   /* ⭐預設藏起來 */
  width: 260px;
  height: 100vh;
  background: #343C55;
  padding: 0;

  display: flex;              /* ⭐新增 */
  justify-content: center;    /* ⭐水平 */
  align-items: center;        /* ⭐垂直 */
  transition: 0.3s;
  z-index: 8000;
}

/* 打開狀態 */
/* v */
.side-menu.active {
  left: 0;
}

/* 選單內容 */
/* v */
.side-menu ul {
  list-style: none;
}

/* v */
.side-menu a {
  color: white;
  text-decoration: none;
  font-size: 18px;
  display: block;
  padding: 0;
  width: 100%;        /* ⭐關鍵 */
  padding: 16px 80px; /* ⭐讓整行可點 */
}

/* v */
.side-menu a:hover {
  color: #E83928;
}
/* ===== 遮罩 ===== */
/* v */
.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;

  background: rgba(0, 0, 0, 0.502);

  opacity: 0;
  visibility: hidden;
  transition: 0.3s;

  z-index: 7999;
}

/* v */
.overlay.active {
  opacity: 1;
  visibility: visible;
}
/* ===== 響應式 ===== */
@media (max-width: 1024px) {
  /* v */
  .content-area {
    flex-direction: column;
    overflow: scroll;
    scroll-behavior: auto;
    scrollbar-width: none;
  }
  /* v */
  .main {
    flex: 1;
    background-color: #11ffee00;
    padding: 24px 120px;
    display: flex;
    justify-content: center;
  }

  /* 開分作品區 */
  .demo-box {
    width: 100%;
  }
  
  .title{
    font-size: 33px;
    line-height: 90%;
  }
  
}
@media (max-width: 768px) {
.content-area {
    flex-direction: column;
    overflow: scroll;
    scroll-behavior: auto;
    scrollbar-width: none;
  }

  .main {
    width: 100vw;
    padding: 24px 30px;
    display: flex;
    justify-content: center;
  }

  .menu-icon {
    opacity: 70%;
  }

  .side-menu {
    top: -100%;
    left: 0;
    width: 100%;
    height: auto;
    padding: 30px 0px;
    display: flex;
    justify-content: center;  /* 水平置中 */
    /*align-items: center;      /* 垂直置中 */
    padding-top: 100px;
  }
.side-menu a {
  padding: 12px 40px; /* ⭐讓整行可點 */
}
  .side-menu.active {
    top: 0;
  }

  .demo-box{
    width: 100vw;
    padding: 20px 7px;
    overflow: scroll;
    scroll-behavior: auto;
    scrollbar-width: none;
  }
  .demo-box ul {
    width: 100%;
  }
  .work-container {
    display: inline-block;
    max-width: 45%;
    word-break: keep-all;
    padding: 20px;
  }
  .work-title {
    font-size: 12px;
    line-height: 120%;
    block-size: 40px; 
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .title{
    word-break: keep-all;
    font-size: 26px;
    font-weight: bold;
    line-height: 90%;
    text-align: center;
  }

}




